aboutsummaryrefslogtreecommitdiff
path: root/diff.sh
diff options
context:
space:
mode:
authorBoris Kolpackov <boris@codesynthesis.com>2015-05-29 18:31:08 +0200
committerBoris Kolpackov <boris@codesynthesis.com>2015-05-29 18:31:08 +0200
commit75cb85e0cfa66480492b80ada19bd5a02ea12305 (patch)
tree78b4761ae9421cb012bc2b92b600ed1830c0be5e /diff.sh
Add git helper scripts
Diffstat (limited to 'diff.sh')
-rwxr-xr-xdiff.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/diff.sh b/diff.sh
new file mode 100755
index 0000000..b952807
--- /dev/null
+++ b/diff.sh
@@ -0,0 +1,26 @@
+#! /bin/sh
+
+. etc/git/modules
+
+wd=`pwd`
+
+for i in $modules; do
+ echo "diff $i" 1>&2
+ cd $i
+
+ git --no-pager diff
+
+ if [ $? -ne 0 ]; then
+ echo "diff FAILED" 1>&2
+ exit 1
+ fi
+
+ git --no-pager diff --check
+
+ if [ $? -ne 0 ]; then
+ echo "diff --check FAILED" 1>&2
+ exit 1
+ fi
+
+ cd $wd
+done